繁体   English   中英

rbenv版本显示在列表中,但不会安装

rbenv version appears in list but won't install

提示:本站收集StackOverFlow近2千万问答,支持中英文搜索,鼠标放在语句上弹窗显示对应的参考中文或英文, 本站还提供   中文繁体   英文版本   中英对照 版本,有任何建议请联系yoyou2525@163.com。

我正在尝试为一个特定项目安装Ruby 2.4.4。

当我运行rbenv install -l ,2.4.4出现在可用版本列表中,但是运行rbenv local 2.4.4会给出错误消息“ rbenv:未安装版本'2.4.4'”。

谁能告诉我该如何解决?

1 个回复

当我运行rbenv install -l时,2.4.4出现在可用版本列表中

rbenv install -l列出了可以 rbenv install -l所有可用的 ruby版本。 rbenv versions列出了所有本地安装的 ruby版本。

谁能告诉我该如何解决?

您需要执行rbenv install 2.4.4

2 rbenv&ruby-build没有显示相同的版本列表

我正在尝试使用rbenv安装最新的ruby版本(即2.1.1)。 升级brew,ruby-build和rbenv后,可用的ruby版本有所不同。 执行中: 给我(仅2.0版以上的版本): 使用RBenv: 给我(仅2.0版以上的版本): 这是怎么回事? ...

3 如何修复rbenv安装版本?

我在odin项目的安装部分,在ubuntu上安装rbenv时遇到我的一个问题,它完全安装但是用1.1.1-39-版本而不是1.1.1-40-,在这种情况下如何做请帮我。 ...

2019-04-26 11:13:13 0 6   rbenv
5 Ruby版本不在rbenv的ruby-build列表中

我正在使用Rails 4.2,也想使用rbenv更新我的Ruby版本。 我使用Homebrew安装ruby-build,无论我尝试通过brew更新多少次,运行rbenv install --list时都不会显示Ruby 2.1.3版本。 ...

6 安装最新版本后显示较旧的 Ruby 版本 | rbenv 和 zsh

我需要一些帮助来安装 rbenv 和 Ruby 2.6.6。 我目前正在使用 zsh,我想安装 Ruby 2.6.6,所以我做了以下事情: 完成此操作后,我重新启动了终端并执行以下语句来检查 ruby​​ 版本: 但是,ruby 版本指出: 我试过重新启动我的终端并重复相同的步骤。 我是 ...

8 rbenv:未安装版本“2.0.0”

我正在尝试使用Bundle install Gemfile内容,但是收到错误 我系统中安装的ruby版本是: 和rbenv Gemfile需要ruby "2.0.0" 。 任何人都可以告诉如何在不影响现有版本的情况下安装所需版本。 ...

9 rbenv 没有发现安装了多个版本的 ruby

对开发世界来说非常陌生,但是尝试安装和使用 Ruby 以在工作中使用一组应用程序开发工具并且非常困难。 已经通过 Homebrew,安装了 chruby 和 rbenv; 已经在这几个小时了。 现在,使用 rbenv,我已经安装了多个版本的 ruby​​,但在使用rbenv versions命令 ...

10 rbenv安装不下载ruby版本

使用rbenv rbenv install -l安装ruby版本会返回正确的列表。 然而 下载失败,即使它可以通过浏览器下载。 关于openssl的不正确版本的预感(由于某些遥远的记忆存在这些问题 - 过去的版本? - 在详细模式中支持): 怎么克服? 我可以指向rbenv ...

暂无
暂无

声明:本站的技术帖子网页,遵循CC BY-SA 4.0协议,如果您需要转载,请注明本站网址或者原文地址。任何问题请咨询:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2021 STACKOOM.COM